## org.hibernate
Class MappingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.HibernateException
                      org.hibernate.MappingException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AnnotationException, DuplicateMappingException, InvalidMappingException, MappingNotFoundException, NotYetImplementedException, PropertyNotFoundException

    public class MappingException

extends HibernateException

An exception that usually occurs at configuration time, rather than runtime, as a result of something screwy in the O-R mappings.

Author:
  Gavin King
See Also:
  Serialized Form

Constructor Summary
`MappingException(String s)`
`MappingException(String msg, Throwable root)`
`MappingException(Throwable root)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MappingException

    public MappingException(String msg,
                            Throwable root)

### MappingException

    public MappingException(Throwable root)

### MappingException

    public MappingException(String s)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.